<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\KursDetails\Feedback;

class FeedbackController extends \Kufer\Web\KuferTools\Basis\KursDetails\Feedback\FeedbackFormularController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new FeedbackUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $request = new FeedbackRequest();
    $request->knr = \RequestOperations::getVarValue('knr');

    return $request;
  }
}